package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 告警记录对象 t_warning_record
 * 
 * @author slibra
 * @date 2025-01-16
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TWarningRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 类型（0：连续5个未接  1：10分钟空岗报警  2：连续3个5s内挂断） */
    @Excel(name = "类型", readConverterExp = "0=：连续5个未接,1=：10分钟空岗报警,2=：连续3个5s内挂断")
    private Long type;

    /** 报警描述 */
    @Excel(name = "报警描述")
    private String desc;

    /** 是否已读（0否 1是） */
    @Excel(name = "是否已读", readConverterExp = "0=否,1=是")
    private Long read;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
