package com.slibra.business.mapper;

import java.util.Date;
import java.util.List;
import com.slibra.business.domain.TWarningRecord;

/**
 * 告警记录Mapper接口
 * 
 * @author slibra
 * @date 2025-01-16
 */
public interface TWarningRecordMapper 
{
    /**
     * 查询告警记录
     * 
     * @param id 告警记录主键
     * @return 告警记录
     */
    public TWarningRecord selectTWarningRecordById(Long id);

    /**
     * 查询告警记录列表
     * 
     * @param tWarningRecord 告警记录
     * @return 告警记录集合
     */
    public List<TWarningRecord> selectTWarningRecordList(TWarningRecord tWarningRecord);

    /**
     * 新增告警记录
     * 
     * @param tWarningRecord 告警记录
     * @return 结果
     */
    public int insertTWarningRecord(TWarningRecord tWarningRecord);

    /**
     * 修改告警记录
     * 
     * @param tWarningRecord 告警记录
     * @return 结果
     */
    public int updateTWarningRecord(TWarningRecord tWarningRecord);

    /**
     * 删除告警记录
     * 
     * @param id 告警记录主键
     * @return 结果
     */
    public int deleteTWarningRecordById(Long id);

    /**
     * 批量删除告警记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTWarningRecordByIds(Long[] ids);

    Integer getNewestWarningCount(Date date);
}
