package com.slibra.business.res;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HomeCountResp {

    //最近七天呼入量
    private int inTotal;

    //最近七天接通率
    private BigDecimal successRate;

    //最近七天呼入时长
    private long inTimes;

    //最近七天平均呼入时长
    private long inTimesAvg;

    //累计呼入时长
    private long totalTimes;

    //累计呼入总量
    private long totalCounts;


    //下面是集合------中间的图表数据------开始
    //近七日呼入电话量趋势
    private List<DayAndCountRes> recent7DayAndCounts;

    //近七日呼入电话量趋势--去年数据
    private List<DayAndCountRes> recent7DayAndCountsLastYear;

    //近7个月电话量同比趋势
    private List<DayAndCountRes> recent7MonthAndCounts;

    //近7个月电话量同比趋势--去年数据
    private List<DayAndCountRes> recent7MonthAndCountsLastYear;

    //本月业务类型 top7
    private List<Top7Res> businessTop7;
    //------中间的图表数据------截止


    //下面是今日机器人坐席情况--开始
    //今日呼入总量
    private int robotInTotal;

    //通话时长
    private long robotInTimes;

    //平均通话时长
    private long robotTimesAvg;

    //转人工总量
    private int transfer2Human;

    //当前排队总数
    private int robotQueue;

    //分流比例
    private Integer robotStreamRate;
    //下面是今日机器人坐席情况--截止


    //下面是今日人工坐席情况--开始
    //今日呼入总量
    private int humanInTotal;

    //通话时长
    private long humanInTimes;

    //平均通话时长
    private long humanTimesAvg;

    //当前在线坐席人数(2025年01月21日14:27:07 统计的是置闲的客服数量)
    private int onlineTotal;

    //当前排队总数
    private int humanQueue;

    //分流比例
    private Integer humanStreamRate;
    //下面是今日人工坐席情况--截止
}
