package com.slibra.business.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserFeeExcelInfo
{
    private static final long serialVersionUID = 1L;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String userNo = "";

    /** 抄表表数 */
    @Excel(name = "抄表表数")
    private BigDecimal meterAmount;

    /** 截止最近欠费 */
    @Excel(name = "截止最近欠费")
    private BigDecimal waterFees;

    /** 截止统计时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss.SSS")
    @Excel(name = "截止统计时间")
    private String statisticsTime;


}
